List your tracked keywords with their latest top 10.
Request
curl "https://api.appgoat.ai/v1/tracked-keywords?store=apple" \
-H "x-api-key: $APPGOAT_API_KEY"const res = await fetch("https://api.appgoat.ai/v1/tracked-keywords?store=apple", {
headers: {
"x-api-key": process.env.APPGOAT_API_KEY,
},
});
const { data, meta } = await res.json();import os, requests
res = requests.get(
"https://api.appgoat.ai/v1/tracked-keywords?store=apple",
headers={"x-api-key": os.environ["APPGOAT_API_KEY"]}
)
body = res.json()Query parameters
store"apple" | "play"countrystringqstringSubstring filter on the term.
Response
200 with data: TrackedKeyword[]. See the envelope for meta.
idintegertermstringstoreStorecountrystringdepthintegercadence_minutesintegertagsstring[] | nullpopularityinteger | nulllast_run_atstring | nulltop10string[] | nullranked_atstring | nullExample
{
"data": [
{
"id": 1,
"term": "photo editor",
"store": "apple",
"country": "us",
"depth": 1,
"cadence_minutes": 1,
"tags": [
"string"
],
"popularity": 1,
"last_run_at": "2026-10-22T10:00:00Z",
"top10": [
"string"
],
"ranked_at": "2026-10-22T10:00:00Z"
}
],
"meta": {
"credits_used": 0,
"credits_remaining": 9981,
"request_id": "req_123"
}
}Status codes
200
Tracked keywords.
Missing or invalid API key.
429
rate_limitedToo many requests per second for your plan.